curl --request GET \
--url https://astreus.ai/api/v1/research/widgets/{kind} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://astreus.ai/api/v1/research/widgets/{kind}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://astreus.ai/api/v1/research/widgets/{kind}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://astreus.ai/api/v1/research/widgets/{kind}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://astreus.ai/api/v1/research/widgets/{kind}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://astreus.ai/api/v1/research/widgets/{kind}")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://astreus.ai/api/v1/research/widgets/{kind}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"kind": "statement_xray",
"title": "Statement X-Ray",
"subtitle": "Latest XBRL presentation and calculation structure",
"source": "SEC XBRL taxonomy",
"stats": [
{
"label": "Nodes",
"value": "160"
},
{
"label": "Calculated",
"value": "27"
}
],
"rows": [
{
"id": "40209619",
"label": "CoverAbstract",
"sublabel": "Cover page.",
"value": "0 links",
"secondary": "depth 0",
"date": "2026-08-26",
"detail": "Statement root"
},
{
"id": "40209620",
"label": " DocumentType",
"sublabel": "Document Type",
"value": "0 links",
"secondary": "depth 1",
"date": "2026-08-26",
"detail": "Parent: dei:CoverAbstract"
}
],
"symbol": "NVDA",
"asOf": "2026-08-26",
"emptyMessage": "No XBRL presentation tree is available.",
"page": {
"total": 823,
"offset": 0,
"limit": 160,
"nextOffset": 160
},
"cik": "0001045810"
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}Company research widget
Normalized source-bearing research widget for a ticker. The MCP tool restricts kinds and licensed fields; REST availability does not imply unrestricted redistribution.
curl --request GET \
--url https://astreus.ai/api/v1/research/widgets/{kind} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://astreus.ai/api/v1/research/widgets/{kind}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://astreus.ai/api/v1/research/widgets/{kind}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://astreus.ai/api/v1/research/widgets/{kind}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://astreus.ai/api/v1/research/widgets/{kind}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://astreus.ai/api/v1/research/widgets/{kind}")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://astreus.ai/api/v1/research/widgets/{kind}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"kind": "statement_xray",
"title": "Statement X-Ray",
"subtitle": "Latest XBRL presentation and calculation structure",
"source": "SEC XBRL taxonomy",
"stats": [
{
"label": "Nodes",
"value": "160"
},
{
"label": "Calculated",
"value": "27"
}
],
"rows": [
{
"id": "40209619",
"label": "CoverAbstract",
"sublabel": "Cover page.",
"value": "0 links",
"secondary": "depth 0",
"date": "2026-08-26",
"detail": "Statement root"
},
{
"id": "40209620",
"label": " DocumentType",
"sublabel": "Document Type",
"value": "0 links",
"secondary": "depth 1",
"date": "2026-08-26",
"detail": "Parent: dei:CoverAbstract"
}
],
"symbol": "NVDA",
"asOf": "2026-08-26",
"emptyMessage": "No XBRL presentation tree is available.",
"page": {
"total": 823,
"offset": 0,
"limit": 160,
"nextOffset": 160
},
"cik": "0001045810"
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}Authorizations
Astreus API key (pk_live_...), created on the Developers page in the terminal. Also accepted as Authorization: Bearer pk_live_....
Path Parameters
One of historical_valuation, guidance_tracker, narrative_radar, ownership_crowding, earnings_quality, segment_momentum, event_study, filing_diff, statement_xray, macro_release_monitor, causal_exposure, compute_economics, corporate_actions_timeline, capital_allocation, manager_portfolio, release_filing_reconciliation, insider_activity_tape, data_confidence. Unknown kind: 404.
Query Parameters
Ticker; default NVDA.
statement_xray: nodes to skip; the readout lists 160 a page. Other kinds ignore it.
0 <= x <= 1000000Response
OK
Inferred from captured responses: every field shown was returned by a real call; a field may be absent or null on other calls.